org.eclipse.ease

## Interface IExecutionListener

All Known Implementing Classes:
  AbstractScriptDebugger, LineNumberDebugger, ModuleStackDropin, RhinoDebugger, ScriptConsole, ScriptHistoryText, ScriptShell, VariablesDropin

    public interface IExecutionListener

Interface to be implemented by any class interested in getting notified of script execution event.

### Field Summary

Fields
`static int` `ENGINE_END` Event execution ended.
`static int` `ENGINE_START` Event execution ended.
`static int` `SCRIPT_END` Event script execution ended.
`static int` `SCRIPT_INJECTION_END` Event injected script (subscript) ended.
`static int` `SCRIPT_INJECTION_START` Event injected script (subscript) started.
`static int` `SCRIPT_START` Event script execution started.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `notify(IScriptEngine engine, Script script, int status)` Notifies the listeners when script execution started/ended or when the engine itself is started/ended.

### Field Detail

#### ENGINE_START

    static final int ENGINE_START

Event execution ended.

See Also:
  Constant Field Values

#### ENGINE_END

    static final int ENGINE_END

Event execution ended.

See Also:
  Constant Field Values

#### SCRIPT_START

    static final int SCRIPT_START

Event script execution started.

See Also:
  Constant Field Values

#### SCRIPT_END

    static final int SCRIPT_END

Event script execution ended.

See Also:
  Constant Field Values

#### SCRIPT_INJECTION_START

    static final int SCRIPT_INJECTION_START

Event injected script (subscript) started.

See Also:
  Constant Field Values

#### SCRIPT_INJECTION_END

    static final int SCRIPT_INJECTION_END

Event injected script (subscript) ended.

See Also:
  Constant Field Values

### Method Detail

#### notify

    void notify(IScriptEngine engine,
                Script script,
                int status)

Notifies the listeners when script execution started/ended or when the engine itself is started/ended.

Parameters:
  `engine` - Script Engine
  `script` - Script or `null`
  `status` - Event Status